/**
 * Titanium SDK
 * Copyright TiDev, Inc. 04/07/2022-Present. All Rights Reserved.
 * Licensed under the terms of the Apache Public License
 * Please see the LICENSE included with this distribution for details.
 */
#ifdef USE_TI_PLATFORM

@import JavaScriptCore;
@import TitaniumKit.ObjcModule;

@class TiPlatformDisplayCaps; // forward declare

@protocol TiPlatformExports <JSExport>

// Constants
CONSTANT(NSNumber *, BATTERY_STATE_CHARGING);
CONSTANT(NSNumber *, BATTERY_STATE_FULL);
CONSTANT(NSNumber *, BATTERY_STATE_UNKNOWN);
CONSTANT(NSNumber *, BATTERY_STATE_UNPLUGGED);

// Properties (and accessors)
READONLY_PROPERTY(NSString *, address, Address);
READONLY_PROPERTY(NSString *, architecture, Architecture);
READONLY_PROPERTY(NSNumber *, availableMemory, AvailableMemory);
READONLY_PROPERTY(NSNumber *, batteryLevel, BatteryLevel);
PROPERTY(bool, batteryMonitoring, BatteryMonitoring);
READONLY_PROPERTY(NSNumber *, batteryState, BatteryState);
READONLY_PROPERTY(TiPlatformDisplayCaps *, displayCaps, DisplayCaps);
@property (readonly) TiPlatformDisplayCaps *DisplayCaps;
READONLY_PROPERTY(NSString *, id, Id);
READONLY_PROPERTY(NSString *, identifierForAdvertising, IdentifierForAdvertising);
READONLY_PROPERTY(NSString *, identifierForVendor, IdentifierForVendor);
READONLY_PROPERTY(bool, isTranslatedBinaryOnAppleSilicon, IsTranslatedBinaryOnAppleSilicon);
READONLY_PROPERTY(bool, isAdvertisingTrackingEnabled, IsAdvertisingTrackingEnabled);
READONLY_PROPERTY(NSString *, locale, Locale);
READONLY_PROPERTY(NSString *, macaddress, Macaddress);
READONLY_PROPERTY(NSString *, manufacturer, Manufacturer);
READONLY_PROPERTY(NSString *, model, Model);
READONLY_PROPERTY(NSString *, name, Name);
READONLY_PROPERTY(NSString *, netmask, Netmask);
READONLY_PROPERTY(NSString *, osname, Osname);
READONLY_PROPERTY(NSString *, ostype, Ostype);
READONLY_PROPERTY(NSNumber *, processorCount, ProcessorCount);
READONLY_PROPERTY(NSString *, runtime, Runtime);
READONLY_PROPERTY(NSNumber *, totalMemory, TotalMemory);
READONLY_PROPERTY(NSNumber *, uptime, Uptime);
READONLY_PROPERTY(NSString *, username, Username);
READONLY_PROPERTY(NSString *, version, Version);
READONLY_PROPERTY(NSNumber *, versionMajor, VersionMajor);
READONLY_PROPERTY(NSNumber *, versionMinor, VersionMinor);
READONLY_PROPERTY(NSNumber *, versionPatch, VersionPatch);

// Methods
- (bool)canOpenURL:(NSString *)url;
- (NSString *)createUUID;
- (bool)is24HourTimeFormat;

JSExportAs(openURL,
           -(bool)openURL
           : (NSString *)url withOptions
           : (JSValue *)options andCallback
           : (JSValue *)callback);

@end

@interface PlatformModule : ObjcModule <TiPlatformExports> {
  BOOL batteryEnabled;
}
@end

#endif
